MWAWTabStop Struct Reference

class to store a tab use by MWAWParagraph More...

`#include <MWAWParagraph.hxx>`

## Public Types

enum | Alignment { LEFT , RIGHT , CENTER , DECIMAL , BAR }
| the tab alignment More...

## Public Member Functions

| MWAWTabStop (double position=0.0, Alignment alignment=LEFT, uint16_t leaderCharacter='\0', uint16_t decimalCharacter='.')
| constructor
void | addTo (librevenge::RVNGPropertyListVector &propList, double decalX=0.0) const
| add a tab to the propList
bool | operator== (MWAWTabStop const &tabs) const
| operator==
bool | operator!= (MWAWTabStop const &tabs) const
| operator!=
int | cmp (MWAWTabStop const &tabs) const
| a comparison function

## Public Attributes

double | m_position
| the tab position
Alignment | m_alignment
| the alignment ( left, center, ...)
uint16_t | m_leaderCharacter
| the leader char
uint16_t | m_decimalCharacter
| the decimal char

## Friends

std::ostream & | operator<< (std::ostream &o, MWAWTabStop const &ft)
| operator <<

## Detailed Description

class to store a tab use by MWAWParagraph

## Member Enumeration Documentation

## Alignment

enum MWAWTabStop::Alignment

the tab alignment

Enumerator
LEFT |
RIGHT |
CENTER |
DECIMAL |
BAR |

## Constructor & Destructor Documentation

## MWAWTabStop()

MWAWTabStop::MWAWTabStop | ( | double | position = 0.0,
|  | Alignment | alignment = LEFT,
|  | uint16_t | leaderCharacter = '\0',
|  | uint16_t | decimalCharacter = '.' )

inline explicit

constructor

Referenced by cmp(), operator!=(), operator<<, and operator==().

## Member Function Documentation

## addTo()

void MWAWTabStop::addTo | ( | librevenge::RVNGPropertyListVector & | propList,
|  | double | decalX = 0.0 ) const

add a tab to the propList

## cmp()

int MWAWTabStop::cmp | ( | MWAWTabStop const & | tabs | ) | const

a comparison function

Referenced by operator!=(), and operator==().

## operator!=()

bool MWAWTabStop::operator!= | ( | MWAWTabStop const & | tabs | ) | const

inline

operator!=

## operator==()

bool MWAWTabStop::operator== | ( | MWAWTabStop const & | tabs | ) | const

inline

operator==

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWTabStop const & | ft )

friend

operator <<

## Member Data Documentation

## m_alignment

Alignment MWAWTabStop::m_alignment

the alignment ( left, center, ...)

Referenced by addTo(), cmp(), MWAWTabStop(), operator<<, MsWrdStruct::Paragraph::read(), Canvas5Graph::readDeR3(), BeagleWksText::readParagraph(), ClarisDrawText::readParagraph(), ClarisWksText::readParagraph(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), JazzWriterParser::readParagraph(), MacWrtProStructures::readParagraph(), MsWrd1Parser::readParagraph(), ScoopParser::readParagraph(), StudentWritingCParser::readParagraph(), WriteNowText::readParagraph(), MouseWrtParser::readParagraphPLCs(), NisusWrtText::readParagraphs(), RagTimeText::readParagraphs(), MacDrawProStyleManager::readParagraphStyles(), FullWrtText::readParagraphTabs(), GreatWksText::readRuler(), MindWrtParser::readRuler(), PowerPoint1Parser::readRuler(), PowerPoint3Parser::readRuler(), LightWayTxtText::readRulers(), MarinerWrtText::readRulers(), PowerPoint1Parser::readRulers(), PowerPoint7Text::readRulerTabs(), MoreText::readTabs(), ReadySetGoStyleManager::readTabulations(), WordMakerParser::readTabulations(), ReadySetGoStyleManager::readTabulationsV1(), DocMkrText::sendFooter(), EDocParser::sendIndex(), MacDocParser::sendIndex(), DocMkrText::sendTOC(), and RagTime5StyleManager::updateTextStyles().

## m_decimalCharacter

uint16_t MWAWTabStop::m_decimalCharacter

the decimal char

Referenced by addTo(), cmp(), MWAWTabStop(), operator<<, Canvas5Graph::readDeR3(), ClarisDrawText::readParagraph(), ClarisWksText::readParagraph(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), MacWrtProStructures::readParagraph(), MacDrawProStyleManager::readParagraphStyles(), FullWrtText::readParagraphTabs(), GreatWksText::readRuler(), and MoreText::readTabs().

## m_leaderCharacter

uint16_t MWAWTabStop::m_leaderCharacter

the leader char

Referenced by addTo(), cmp(), MWAWTabStop(), operator<<, SpringBoardParser::parseParagraphStyle(), MsWrdStruct::Paragraph::read(), BeagleWksText::readParagraph(), ClarisDrawText::readParagraph(), ClarisWksText::readParagraph(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), MacWrtProStructures::readParagraph(), MsWrd1Parser::readParagraph(), NisusWrtText::readParagraphs(), MacDrawProStyleManager::readParagraphStyles(), FullWrtText::readParagraphTabs(), GreatWksText::readRuler(), MarinerWrtText::readRulers(), MoreText::readTabs(), ReadySetGoStyleManager::readTabulations(), EDocParser::sendIndex(), MacDocParser::sendIndex(), DocMkrText::sendTOC(), and RagTime5StyleManager::updateTextStyles().

## m_position

double MWAWTabStop::m_position

the tab position

Referenced by addTo(), cmp(), WriteNowTextInternal::State::getDefaultParagraph(), MWAWTabStop(), operator<<, SpringBoardParser::parseParagraphStyle(), MsWrdStruct::Paragraph::read(), Canvas5Graph::readDeR3(), ScriptWriterParser::readDocument(), BeagleWksText::readParagraph(), ClarisDrawText::readParagraph(), ClarisWksText::readParagraph(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), JazzWriterParser::readParagraph(), MacWrtProStructures::readParagraph(), MsWrd1Parser::readParagraph(), ScoopParser::readParagraph(), StudentWritingCParser::readParagraph(), WriteNowText::readParagraph(), MouseWrtParser::readParagraphPLCs(), NisusWrtText::readParagraphs(), RagTimeText::readParagraphs(), MacDrawProStyleManager::readParagraphStyles(), FullWrtText::readParagraphTabs(), GreatWksText::readRuler(), MindWrtParser::readRuler(), PowerPoint1Parser::readRuler(), PowerPoint3Parser::readRuler(), LightWayTxtText::readRulers(), MarinerWrtText::readRulers(), PowerPoint1Parser::readRulers(), PowerPoint7Text::readRulerTabs(), MoreText::readTabs(), ReadySetGoStyleManager::readTabulations(), WordMakerParser::readTabulations(), ReadySetGoStyleManager::readTabulationsV1(), DocMkrText::sendFooter(), MindWrtParser::sendHeaderFooterFields(), EDocParser::sendIndex(), MacDocParser::sendIndex(), DocMkrText::sendTOC(), and RagTime5StyleManager::updateTextStyles().

The documentation for this struct was generated from the following files:

- MWAWParagraph.hxx
- MWAWParagraph.cxx